# reset current game (if any)
schedule clear mineclash:api/game/clear
function mineclash:api/game/clear

# increase the games count
scoreboard players add games mineclash.stats 1 

# store game id
scoreboard players operation id mineclash.game = games mineclash.stats
execute store result storage mineclash:data temp.game_id int 1 run scoreboard players get id mineclash.game

# 0 = game not active, 1 = waiting for players to join, 2 = waiting for players ready, 3 = in progress
scoreboard players set status mineclash.game 1

# set hidden game vars
scoreboard players set players mineclash.game 0
scoreboard players set player.1.id mineclash.game 0
scoreboard players set player.2.id mineclash.game 0
scoreboard players set player.1.ready mineclash.game 0
scoreboard players set player.2.ready mineclash.game 0
scoreboard players set player.1.score mineclash.game 0
scoreboard players set player.2.score mineclash.game 0
scoreboard players set player.current.id mineclash.game 0
scoreboard players set player.next.id mineclash.game 0

# set default game rules
#scoreboard players set open mineclash.game.rules 0
scoreboard players set minmax mineclash.game.rules 1
scoreboard players set elemental mineclash.game.rules 1
#scoreboard players set abilities mineclash.game.rules 1

# display game rules
scoreboard objectives setdisplay sidebar mineclash.game.rules